Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Steve Arnold (nerdboy)" <nerdboy@g.o>
Subject: gentoo-x86 commit in sys-cluster/mpich2: ChangeLog mpich2-1.0.3-r1.ebuild mpich2-1.0.3.ebuild
Date: Sat, 22 Mar 2008 00:56:30 +0000
nerdboy     08/03/22 00:56:30

  Modified:             ChangeLog mpich2-1.0.3-r1.ebuild
                        mpich2-1.0.3.ebuild
  Log:
  fixed QA issues in oldest versions (mostly string quoting)
  (Portage version: 2.1.4.4)

Revision  Changes    Path
1.27                 sys-cluster/mpich2/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/ChangeLog?rev=1.27&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/ChangeLog?rev=1.27&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/ChangeLog?r1=1.26&r2=1.27

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/ChangeLog,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -r1.26 -r1.27
--- ChangeLog	15 Mar 2008 05:25:24 -0000	1.26
+++ ChangeLog	22 Mar 2008 00:56:29 -0000	1.27
@@ -1,6 +1,9 @@
 # ChangeLog for sys-cluster/mpich2
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/ChangeLog,v 1.26 2008/03/15 05:25:24 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/ChangeLog,v 1.27 2008/03/22 00:56:29 nerdboy Exp $
+
+  22 Mar 2008; Steve Arnold <nerdboy@g.o> mpich2-1.0.3.ebuild:
+  fixed QA issues in oldest versions (mostly string quoting)
 
   15 Mar 2008; Steve Arnold <nerdboy@g.o> mpich2-1.0.6.ebuild:
   autotools QA fix



1.10                 sys-cluster/mpich2/mpich2-1.0.3-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3-r1.ebuild?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3-r1.ebuild?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3-r1.ebuild?r1=1.9&r2=1.10

Index: mpich2-1.0.3-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3-r1.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- mpich2-1.0.3-r1.ebuild	6 Dec 2006 23:57:35 -0000	1.9
+++ mpich2-1.0.3-r1.ebuild	22 Mar 2008 00:56:29 -0000	1.10
@@ -1,7 +1,8 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3-r1.ebuild,v 1.9 2006/12/06 23:57:35 dberkholz Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3-r1.ebuild,v 1.10 2008/03/22 00:56:29 nerdboy Exp $
 
+WANT_AUTOCONF="2.5"
 inherit fortran distutils eutils autotools toolchain-funcs
 
 DESCRIPTION="MPICH2 - A portable MPI implementation"
@@ -53,16 +54,16 @@
 
 src_unpack() {
 	unpack ${A}
-	cd ${S}
+	cd "${S}"
 	ebegin "Reconfiguring"
 	    find . -name configure -print | xargs rm
 	    ./maint/updatefiles
 	    use mpe-sdk && ./src/mpe2/maint/updatefiles
 	eend
-	epatch ${FILESDIR}/${P}-make.patch || die "make patch failed"
+	epatch "${FILESDIR}"/${P}-make.patch || die "make patch failed"
 	# damn, have to patch the createshlib script here...
-	epatch ${FILESDIR}/${P}-soname.patch || die "soname patch failed"
-	#epatch ${FILESDIR}/${P}-make-test.patch || die "make test patch failed"
+	epatch "${FILESDIR}"/${P}-soname.patch || die "soname patch failed"
+	#epatch "${FILESDIR}"/${P}-make-test.patch || die "make test patch failed"
 }
 
 src_compile() {
@@ -91,7 +92,7 @@
 		--enable-clog=no --enable-slog2=no"
 	fi
 
-	use mpe && MPE_SRC_DIR=${S}/src/mpe2
+	use mpe && MPE_SRC_DIR="${S}"/src/mpe2
 
 	if use threads ; then
 	    myconf="${myconf} --with-thread-package=pthreads"
@@ -99,7 +100,6 @@
 	    myconf="${myconf} --with-thread-package=none"
 	fi
 
-	WANT_AUTOCONF="2.5" \
 		./configure \
 		--prefix=/usr \
 		--exec-prefix=/usr \
@@ -121,38 +121,38 @@
 		--datadir=/usr/share/${PN} || die "configure failed"
 
 	if use mpe-sdk ; then
-	    ${MPE_SRC_DIR}/configure --prefix=/usr --enable-mpich \
+	    "${MPE_SRC_DIR}"/configure --prefix=/usr --enable-mpich \
 		--with-mpicc=mpicc --with-mpif77=mpif77 --enable-wrappers \
 		--enable-collchk --with-flib_path_leader="-Wl,-L"
 	fi
 
 	if use mpe ; then
-	     epatch ${FILESDIR}/${P}-mpe-install.patch || die "install patch failed"
+	     epatch "${FILESDIR}"/${P}-mpe-install.patch || die "install patch failed"
 	fi
 
 	# parallel makes are currently broken, so no emake...
 	#make dependencies
 	make || die "make failed"
 
-	if has test ${FEATURES} ; then
+	if has test "${FEATURES}" ; then
 	    # get setup for src_test
 	    #export LDFLAGS='-L../../lib'
-	    export LD_LIBRARY_PATH=${S}/lib:$LD_LIBRARY_PATH
-	    cd ${S}/test/mpi
+	    export LD_LIBRARY_PATH="${S}"/lib:$LD_LIBRARY_PATH
+	    cd "${S}"/test/mpi
 	    #make clean || die "make clean failed"
 	    echo
-	    einfo "Using ./configure --prefix=${S} --with-mpi=${S} --disable-f90"
+	    einfo "Using ./configure --prefix="${S}" --with-mpi="${S}" --disable-f90"
 	    echo
-	    ./configure --prefix=${S} --with-mpi=${S} $(use_enable threads) \
-	        --exec-prefix=${S} --includedir=${S}/src/include --disable-f90 \
+	    ./configure --prefix="${S}" --with-mpi="${S}" $(use_enable threads) \
+	        --exec-prefix="${S}" --includedir="${S}"/src/include --disable-f90 \
 		|| die "configure test failed"
 	    make dependencies
 	    # make doesn't work here for some reason, although it works fine
 	    # when run manually.  Go figure...
 	    #cd ${S}/test/mpi/util
 	    #make all || die "make util failed"
-	    cd ${S}/test
-	    install -g portage -o portage -m 0600 ${FILESDIR}/mpd.conf ${HOME}/.mpd.conf
+	    cd "${S}"/test
+	    install -g portage -o portage -m 0600 "${FILESDIR}"/mpd.conf "${HOME}"/.mpd.conf
 	    #${S}/bin/mpd --daemon
 	    make all || die "make pre-test failed"
 	    #cd ${S}/test/mpi
@@ -169,22 +169,22 @@
 	einfo "Control-C now if you want to disable tests..."
 	epause
 
-	${S}/bin/mpd --daemon
-	cd ${S}/test
+	"${S}"/bin/mpd --daemon
+	cd "${S}"/test
 	nice --adjustment=3 make testing || die "run tests failed"
-	${S}/bin/mpdallexit
+	"${S}"/bin/mpdallexit
 }
 
 src_install() {
 	dodir /etc/${PN}
 	rm -rf src/mpe2/etc/*.in
-	make install DESTDIR=${D} \
-	    LIBDIR=${D}usr/$(get_libdir) || die "make install failed"
+	make install DESTDIR="${D}" \
+	    LIBDIR="${D}"usr/$(get_libdir) || die "make install failed"
 
 	dodir /usr/share/${PN}
-	mv ${D}usr/examples/cpi ${D}usr/share/${PN}/cpi
-	rm -rf ${D}usr/examples
-	rm -rf ${D}usr/sbin
+	mv "${D}"usr/examples/cpi" ${D}"usr/share/${PN}/cpi
+	rm -rf "${D}"usr/examples
+	rm -rf "${D}"usr/sbin
 
 	dodir /usr/share/doc/${PF}
 	if use doc; then
@@ -192,23 +192,25 @@
 		dodoc README.developer RELEASE_NOTES
 		newdoc src/pm/mpd/README README.mpd
 	else
-		rm -rf ${D}usr/share/doc/
-		rm -rf ${D}usr/share/man/
+		rm -rf "${D}"usr/share/doc/
+		rm -rf "${D}"usr/share/man/
 		dodoc README CHANGES COPYRIGHT RELEASE_NOTES
 	fi
 }
 
 pkg_postinst() {
 	python_version
-	python_mod_optimize ${ROOT}usr/bin
-	echo
-	einfo "Note: this package still needs testing with other Fortran90"
-	einfo "compilers besides gfortran (gcc4).  The tests also need some"
-	einfo "magic to build properly within the portage build environment."
-	einfo "(currently the tests only build and run manually)"
-	echo
-	einfo "The gfortran support has been tested successfully with hdf5"
-	einfo "(using gfortran and the mpif90 wrapper)."
+	python_mod_optimize "${ROOT}"usr/bin
+
+	elog
+	elog "Note: this package still needs testing with other Fortran90"
+	elog "compilers besides gfortran (gcc4).  The tests also need some"
+	elog "magic to build properly within the portage build environment."
+	elog "(currently the tests only build and run manually)"
+	elog
+	elog "The gfortran support has been tested successfully with hdf5"
+	elog "(using gfortran and the mpif90 wrapper)."
+	elog
 }
 
 pkg_postrm() {



1.13                 sys-cluster/mpich2/mpich2-1.0.3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3.ebuild?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3.ebuild?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3.ebuild?r1=1.12&r2=1.13

Index: mpich2-1.0.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- mpich2-1.0.3.ebuild	6 Dec 2006 23:57:35 -0000	1.12
+++ mpich2-1.0.3.ebuild	22 Mar 2008 00:56:29 -0000	1.13
@@ -1,6 +1,6 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3.ebuild,v 1.12 2006/12/06 23:57:35 dberkholz Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpich2/mpich2-1.0.3.ebuild,v 1.13 2008/03/22 00:56:29 nerdboy Exp $
 
 inherit eutils autotools
 
@@ -31,13 +31,13 @@
 
 src_unpack() {
 	unpack ${A}
-	cd ${S}
+	cd "${S}"
 	ebegin "Reconfiguring"
 	    ./maint/updatefiles
-	eend "Reconfigure failed"
-	epatch ${FILESDIR}/${P}-make.patch || die "make patch failed"
+	eend ${ret} "Reconfigure failed"
+	epatch "${FILESDIR}"/${P}-make.patch || die "make patch failed"
 	# damn, have to patch the createshlib script here...
-	epatch ${FILESDIR}/${P}-soname.patch || die "soname patch failed"
+	epatch "${FILESDIR}"/${P}-soname.patch || die "soname patch failed"
 
 }
 
@@ -85,7 +85,7 @@
 		--datadir=/usr/share/mpich2 || die "configure failed"
 
 	if use mpe ; then
-	     epatch ${FILESDIR}/${P}-mpe-install.patch || die "install patch failed"
+	     epatch "${FILESDIR}"/${P}-mpe-install.patch || die "install patch failed"
 	fi
 
 	make || die "make failed"
@@ -94,13 +94,13 @@
 src_install() {
 	dodir /etc/${PN}
 	rm -rf src/mpe2/etc/*.in
-	make install DESTDIR=${D} LIBDIR=${D}usr/$(get_libdir) \
+	make install DESTDIR="${D}" LIBDIR="${D}"usr/$(get_libdir) \
 	    || die "make install failed"
 
 	dodir /usr/share/${PN}
-	mv ${D}usr/examples/cpi ${D}usr/share/${PN}/cpi
-	rm -rf ${D}/usr/examples
-	rm -rf ${D}usr/sbin
+	mv "${D}"usr/examples/cpi "${D}"usr/share/${PN}/cpi
+	rm -rf "${D}"usr/examples
+	rm -rf "${D}"usr/sbin
 
 	dodir /usr/share/doc/${PF}
 	if use doc; then
@@ -108,8 +108,8 @@
 		dodoc README.developer RELEASE_NOTES
 		newdoc src/pm/mpd/README README.mpd
 	else
-		rm -rf ${D}usr/share/doc/
-		rm -rf ${D}usr/share/man/
+		rm -rf "${D}"usr/share/doc/
+		rm -rf "${D}"usr/share/man/
 		dodoc README CHANGES COPYRIGHT RELEASE_NOTES
 	fi
 }



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sys-kernel/git-sources: ChangeLog git-sources-2.6.25_rc6-r6.ebuild
Next by thread:
gentoo-x86 commit in x11-terms/gnome-terminal: ChangeLog gnome-terminal-2.22.0.ebuild
Previous by date:
gentoo-x86 commit in dev-java/ant-eclipse-ecj: ant-eclipse-ecj-3.3.0-r1.ebuild ChangeLog
Next by date:
gentoo-x86 commit in x11-terms/gnome-terminal: ChangeLog gnome-terminal-2.22.0.ebuild


Updated Aug 01, 2010

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.